# Class WtpFacet

java.lang.Object
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
org.gradle.plugins.ide.eclipse.model.WtpFacet

All Implemented Interfaces:
  `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`

@Deprecated public class WtpFacet extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
Deprecated.
Will be removed in Gradle 10.
Creates the .settings/org.eclipse.wst.common.project.facet.core.xml file for WTP projects.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WtpFacet(org.gradle.internal.xml.XmlTransformer xmlTransformer)`
  Deprecated.
  Creates a new `WtpFacet`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `configure(List<Facet> facets)`
  Deprecated.
  Configure.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `protected String`
  `getDefaultResourceName()`
  Deprecated.
  `List<Facet>`
  `getFacets()`
  Deprecated.
  Returns the facets.
  `int`
  `hashCode()`
  Deprecated.
  `protected void`
  `load(Node xml)`
  Deprecated.
  `void`
  `setFacets(List<Facet> facets)`
  Deprecated.
  Sets the facets.
  `protected void`
  `store(Node xml)`
  Deprecated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

  `findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction, transformAction`

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

  `load, loadDefaults, store`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WtpFacet

    public WtpFacet(org.gradle.internal.xml.XmlTransformer xmlTransformer)
    Deprecated.
    Creates a new `WtpFacet`.
    Since:
      1.0

- ## Method Details

  - ### getFacets

    public List<Facet> getFacets()
    Deprecated.
    Returns the facets.
    Since:
      1.0

  - ### setFacets

    public void setFacets(List<Facet> facets)
    Deprecated.
    Sets the facets.
    Since:
      1.0

  - ### load

    protected void load(Node xml)
    Deprecated.
    Overrides:
      `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### store

    protected void store(Node xml)
    Deprecated.
    Overrides:
      `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### getDefaultResourceName

    protected String getDefaultResourceName()
    Deprecated.
    Specified by:
      `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

  - ### configure

    public void configure(List<Facet> facets)
    Deprecated.
    Configure.
    Since:
      1.0

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`